// src/index.ts
import React from "react";
var useCallbackRef = (callback, deps = []) => {
  const callbackRef = React.useRef(callback);
  React.useEffect(() => {
    callbackRef.current = callback;
  });
  return React.useCallback(
    (...args) => callbackRef.current?.(...args),
    // eslint-disable-next-line react-hooks/exhaustive-deps
    deps
  );
};
export {
  useCallbackRef
};
